LANG=c
O=obj
A=lib
CC=nice -10 cl
# CDEBUG=-Zi -Yd
CFLAGS=-O2 -Ot -Gs -W4 -G6 -MD $(CDEBUG) -D__LIBV__ -D__WIN32__ -DBUILD_DLL -I $(ROOTDIR)/include
LD=link.exe
LDFLAGS=/SUBSYSTEM:WINDOWS /DLL /DEFAULTLIB:MSVCRT.LIB
LIBS=kernel32.lib user32.lib gdi32.lib opengl32.lib winmm.lib
MV=move
RM=del
AS=nasm
AFLAGS=-fwin32 -d__WIN32__
S=asm
# Can be MS rc.exe, but you must clean -r flag !
RC=brc32.exe
RCFLAGS=-r
MAKE=nmake
MAKEFILE=vc.mak
ROOTDIR=..
PREFIX=$(ROOTDIR)\..
BINDIR=$(PREFIX)\bin
ARCH=win32
TARGET=LibV.dll
LIBSO=$(ROOTDIR)\lib\$(ARCH)\vc_imp\$(TARGET)
RESRC=$(ROOTDIR)\arch\$(ARCH)\LibV.rc
RES=$(ROOTDIR)\arch\$(ARCH)\LibV.res
DEF=$(ROOTDIR)\arch\$(ARCH)\LibV.def
###########################################################################
all:$(LIBSO)
###########################################################################
include FileList.mak
include supp.mak
###########################################################################
# OBJECTS=$(SRC:.$(LANG)=.$(O))) $(SRC_INTEL:.$(S)=.$(O))
OBJECTS=$(SRC:.c=.obj) $(SRC_INTEL:.asm=.obj)
.$(S).$(O):
	$(AS) $(AFLAGS) -I $(<D) $< -o $@
.$(LANG).$(O):
	$(CC) /c $(CFLAGS) $(ANSI) -I$(<D) $< /Fo$@
$(LIBSO):$(OBJECTS) $(SUPP_OBJECTS) $(RES) $(DEF)
	$(LD) $(LDFLAGS) $(LIBS) $(OBJECTS) $(SUPP_OBJECTS) $(RES) /DEF:$(DEF) /OUT:$@
$(RES):$(RESRC)
	$(RC) $(RCFLAGS) $(RESRC)
###########################################################################
install:
	if exist $(BINDIR)\$(TARGET) del $(BINDIR)\$(TARGET)
	$(MV) $(LIBSO) $(BINDIR)\$(TARGET)
clean:
	$(MAKE) -f clean.mak
