# =========================================================================
# Unix - specific macros.
# Note: prior to include this file, you must define 'libvroot' macro.
# =========================================================================
OpenGL_Lib=-lGL
# OpenGL_Lib=/home/vladimir/src/Mesa-5.0/lib/libGL.a
cc=gcc
ld=gcc
lang=c
rm=rm -f
suffix=a
cdebug=-ggdb
ccflags=-D__UNIX__ -O2 -c -Wall -pedantic -fomit-frame-pointer -rdynamic -ggdb \
	-idirafter $(libvroot)/include 
ldflags=-L /lib -L /usr/lib -L /usr/local/lib -L /usr/X11R6/lib
libv=$(libvroot)/lib/generic/libV.$(suffix)
# -lpthread must be LAST library; otherwise we get core dump
# on start of program statically linked with some nVidia's libGL's
rtl_libs=-lm -ldl -lpthread
x11_libs=-lX11 -lXext -lXxf86vm $(OpenGL_Lib)
