# Makefile for the Netwide Assembler under Win32
# The Netwide Assembler is copyright (C) 1996 Simon Tatham and
# Julian Hall. All rights reserved. The software is
# redistributable under the licence given in the file "Licence"
# distributed in the NASM archive.
#
# This Makefile is designed to build NASM as a Win32 command-
# line executable.
# 2003-01-25: complete rewrite by Vladimir A. Smirnov
CC=cl.exe
CFLAGS=-c -Ox -GF -I. $(OUTFORM)
LD=link.exe
RM=del
LDFLAGS=/OUT:$(TARGET) /SUBSYSTEM:CONSOLE
O=obj
TARGET=nasm.exe
all:$(TARGET)
.c.$(O):
	$(CC) $(CFLAGS) $*.c
include objfiles.mak
include nasmdeps.mak
include outfw32.mak
$(TARGET):$(NASM)
	$(LD) $(LDFLAGS) $(NASM)
clean:
	if exist *.$(O) $(RM) *.$(O)
	if exist $(TARGET) $(RM) $(TARGET)
distrib:
	cd ..
	tar --create --file=nasm-minimal.tar nasm-minimal
	bzip2 nasm-minimal.tar
